package cn.com.ctop.okr.service;

import cn.com.ctop.okr.dto.FeishuUserInfoDto;
import cn.com.ctop.okr.dto.UserInfoDto;
import cn.com.ctop.okr.entity.CorpDepartInfo;
import cn.com.ctop.okr.entity.CorpUserInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface CorpUserInfoService extends IService<CorpUserInfo> {

    List<CorpDepartInfo> queryUserDeparts(String openId);

    CorpUserInfo getUserInfoByOpenId(String openId);

    void loadFeishuDepartAndUserInfo() throws Exception;

    List<UserInfoDto> getUserListByName(String name);

}
